Documentation / @zerotal/flow / index / TableProps
Interface: TableProps<T>
Defined in: flow/src/components.ts:1226
Props for Table: the columns and rows, current sortBy/sortDir, and styling.
Type Parameters
T
T = Record<string, unknown>
Indexable
[
key:string]:unknown
Properties
columns
columns:
TableColumn<T>[]
Defined in: flow/src/components.ts:1227
rows
rows:
T[]
Defined in: flow/src/components.ts:1228
sortBy?
optionalsortBy?:string
Defined in: flow/src/components.ts:1229
sortDir?
optionalsortDir?:"asc"|"desc"
Defined in: flow/src/components.ts:1230
params?
optionalparams?:Record<string,string|number|null|undefined>
Defined in: flow/src/components.ts:1232
Extra query params to keep in sort links (e.g. a search term).
rowKey?
optionalrowKey?:string
Defined in: flow/src/components.ts:1234
Field used as the row key (defaults to the first column's key).
hover?
optionalhover?:boolean
Defined in: flow/src/components.ts:1235
class?
optionalclass?:string
Defined in: flow/src/components.ts:1236
theadClass?
optionaltheadClass?:string
Defined in: flow/src/components.ts:1237